# $Revision: 1.24 $, $Date: 2011/08/02 23:23:23 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	GSSAPI
Summary:	GSSAPI - Perl extension providing access to the GSSAPIv2 library
Summary(pl.UTF-8):	GSSAPI - rozszerzenie Perla dające dostęp do biblioteki GSSAPIv2
Name:		perl-GSSAPI
Version:	0.28
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
# Source0-md5:	65f00a0749212af064289c8a05e59b3f
URL:		http://search.cpan.org/dist/GSSAPI/
BuildRequires:	heimdal-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives access to the routines of the GSSAPI library, as
described in RFC 2743 and RFC 2744 and implemented by the Kerberos-1.2
distribution from MIT.

%description -l pl.UTF-8
Ten moduł daje dostęp do funkcji bibliotecznych GSSAPI określonych
przez RFC 2743 i RFC 2744 i zaimplementowanych przez MIT w dystrybucji
Kerberos-1.2.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/GSSAPI.pm
%dir %{perl_vendorarch}/GSSAPI
%{perl_vendorarch}/GSSAPI/*.pm
%dir %{perl_vendorarch}/GSSAPI/OID
%{perl_vendorarch}/GSSAPI/OID/Set.pm
%dir %{perl_vendorarch}/auto/GSSAPI
%{perl_vendorarch}/auto/GSSAPI/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/GSSAPI/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GSSAPI.spec,v $
Revision 1.24  2011/08/02 23:23:23  baggins
- release 4

Revision 1.23  2010/11/12 23:38:05  pawelz
- release 3

Revision 1.22  2010/10/04 18:16:56  baggins
- rel 2

Revision 1.21  2010/06/06 00:04:58  radek
- version 0.28

Revision 1.20  2010/04/12 12:35:19  baggins
- rel 8

Revision 1.19  2010/04/06 15:01:47  sparky
- BR: which

Revision 1.18  2010/03/04 19:03:24  hawk
- release 7

Revision 1.17  2009/12/14 12:02:57  baggins
- rel 6

Revision 1.16  2009/12/09 13:38:44  baggins
- rel 5

Revision 1.15  2009/07/05 20:45:19  baggins
- removed test patch
- rel 4

Revision 1.14  2009/07/05 08:09:42  baggins
- testing WTF is going on 32bit builders

Revision 1.13  2009/07/02 22:35:11  baggins
- rel 3
- switch to heimdal kerberos

Revision 1.12  2009/03/14 11:16:00  hawk
- release 2

Revision 1.11  2008/02/25 21:29:19  qboosh
- updated to 0.26

Revision 1.10  2008-02-08 13:50:55  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-12-23 23:24:39  zbyniu
- up to 0.24

Revision 1.7  2007-03-31 22:24:08  baggins
- rel 3
- s/heimdal/krb5/

Revision 1.6  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2006/07/26 17:22:01  glen
- rel 2

Revision 1.3  2006/07/26 16:55:15  qboosh
- pl

Revision 1.2  2006/07/25 20:43:23  glen
- missing dirs and files

Revision 1.1  2006/07/25 20:39:52  glen
- new (created with pldcpan)
